#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;

    int s[n];
    int v;
    for (int i = 0; i < n; i++)
    {
        cin>>s[i];
        if(s[i]==k)
        {
            v=i;
        }
    }
    if(v==n-1)
    {
        cout<<s[0];
    }
    else
    {
        cout<<s[v+1];
    }
    
}